import { EventEmitter, SimpleChanges, OnChanges, ChangeDetectorRef } from '@angular/core';
import { AbstractControl, FormGroup } from '@angular/forms';
import { MatOption } from '@angular/material/core';
import { MatSelect, MatSelectChange } from '@angular/material/select';
import { TooltipPosition } from '@angular/material/tooltip';
import * as i0 from "@angular/core";
export declare class SaffronSelectComponent<T> implements OnChanges {
    private chRef;
    formGroup: FormGroup;
    controlName: string;
    placeholder: string;
    Items: any[];
    valueField: string;
    labelField: string;
    tooltip: string;
    isMultiple: boolean;
    selectAll: boolean;
    position: TooltipPosition;
    selectionChange: EventEmitter<MatSelectChange>;
    defaultText: string;
    selectAllText: string;
    selectTriggerTitle: string;
    control: AbstractControl;
    customOptionClass: string;
    select: MatSelect;
    selectAllOption: MatOption;
    allSelected: boolean;
    allTitles: string;
    SaffronSelectAllValue: string;
    constructor(chRef: ChangeDetectorRef);
    ngOnChanges(changes: SimpleChanges): void;
    private setControl;
    checkAllValues(): void;
    getAllValues(): string;
    OptionChanged(event: any): void;
    getValue(item: any): any;
    getLabel(item: any): any;
    itemSelect(): void;
    checkSelectAll(): void;
    toggleAllSelection(): void;
    getSelectedCount(): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<SaffronSelectComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SaffronSelectComponent<any>, "saffron-select", never, { "formGroup": { "alias": "formGroup"; "required": false; }; "controlName": { "alias": "controlName"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "Items": { "alias": "Items"; "required": false; }; "valueField": { "alias": "valueField"; "required": false; }; "labelField": { "alias": "labelField"; "required": false; }; "tooltip": { "alias": "tooltip"; "required": false; }; "isMultiple": { "alias": "isMultiple"; "required": false; }; "selectAll": { "alias": "selectAll"; "required": false; }; "position": { "alias": "position"; "required": false; }; }, { "selectionChange": "selectionChange"; }, never, never, true, never>;
}
