import { EventEmitter } from '@angular/core';
import { SaffronTableFilter } from '../models/_09-saffron-table-filter';
import { SaffronTableSortState } from '../models/_10-saffron-table-sort-state';
import * as i0 from "@angular/core";
export declare class SaffronTableHeadComponent {
    filter: SaffronTableFilter;
    title?: string;
    sortable?: boolean;
    sortState: SaffronTableSortState;
    filterable?: boolean;
    columnType: number;
    sortStateChange: EventEmitter<SaffronTableSortState>;
    filterChange: EventEmitter<SaffronTableFilter>;
    constructor();
    onSortClick(): void;
    onFilterClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SaffronTableHeadComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SaffronTableHeadComponent, "saffron-table-head-cell", never, { "filter": { "alias": "filter"; "required": false; }; "title": { "alias": "title"; "required": false; }; "sortable": { "alias": "sortable"; "required": false; }; "sortState": { "alias": "sortState"; "required": false; }; "filterable": { "alias": "filterable"; "required": false; }; "columnType": { "alias": "columnType"; "required": false; }; }, { "sortStateChange": "sortStateChange"; "filterChange": "filterChange"; }, never, never, true, never>;
}
